Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 13 Aug 2021 13:14:04 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Hi, 
So I didn’t confirm any order as yet. 
However I have got these 2 messages from
Center point! Mah I know why? 
Your payment for order 9687056769 is being processed, and it may take up to an hour. We'll notify you when your order is confirmed.
Your payment for order 9687066264 is being processed, and it may take up to an hour. We'll notify you when your order is confirmed.
Kindly cancel both! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2976851